Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented
Description

I upgraded qgis-dev in OSGEO4W a few days ago to QGIS code revision commit:2ff79d3.

I have noticed a change in the behavior of the attribute forms with this revision. I am not quite sure of the exact combination of events that

is causing it but I am getting some unwanted attribute forms popping up. As these are modal, they are removing focus from what I am

trying to do and are frustrating to scroll to and get rid of.

I think one of times it happens is after using the identify tool to open the attribute form, it leaves the feature highlighted in red. This

highlighting remains despite selecting and editing another layer. When then going to use the identify tool again it is popping up with the

last feature (it must be still highlighted in red), despite being on a different layer and carrying out other operations in the meantime. This

then has to be closed before the tool can be used on the current layer.

Not major, but a bit annoying and it has only started happening in this recent revision.

I have 'Suppress attribute form pop-up after feature creation' unchecked and have this set to default in all layers.

Related issues:

Related to QGIS Application - Bug report # 10104: new identification mode sel... Closed 2014-04-22

History

#1 - 2014-05-22 01:58 AM - Matthias Kuhn

- Status changed from Open to Feedback

Hi Thomas,

I will be merging a general update to the attribute form today. I don't know if the bug you mention is fixed by it, but please confirm with tomorrow's build if

you can still confirm this issue.

#2 - 2014-05-22 04:14 PM - Thomas McAdam

Hi Matthias

I am running a94483e and still seeing same behavior. I have had a play around with 2.2 and can give a better description of what is happening.

The difference seems to be that in the new code revisions the feature is staying selected (highlighted red not yellow), after the attribute form is closed. In

2.2 the feature would deselect when the form was closed. Now you have to clear it manually using 'Deselect all' button to prevent the form popping up

again. You can also clear it by clicking the mouse into an empty part of the canvas.
Is it possible to deselect the current item when the attribute form is closed? Although this may only be wanted if it was opened by the 'identify tool'.

I hope this clarifies things a little more. Thanks for your help.

Tom

#3 - 2014-05-24 07:45 AM - Leyan Ouyang

I agree with Thomas, when the attribute form is closed, the feature stays selected, and if we switch to another tool then go back to identification, the

attribute forms pops up again. I am not sure whether it is better to deselect the feature when leaving identification tool or ensure form pops up only after a

manual feature selection from the user ?

Also, I did not find a way to make the red highlighting disappear when we are not in the identification tool, which is bound to happen very often. What is the

reasoning behind the persistant highlighting ? I think the best is to simply remove the highlighting when leaving the tool, but maybe I am missing the point

of a new feature ?

#4 - 2014-05-24 09:20 AM - Giovanni Manghi

I think that this ticket should be merged with #10104

#5 - 2014-06-11 12:52 PM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

when the identify map tool is deactivated, the highlights are also removed (fixed in commit:4ff233e3)
